#ifndef STRIPEDHORSE_GFXSTREAMREFORMATTER_H
#define STRIPEDHORSE_GFXSTREAMREFORMATTER_H

#include <iostream>

namespace StripedHorse
{
	class GFXStreamReformatter
	{
	public:
		GFXStreamReformatter(size_t indentSize = 2, size_t initialIndent = 0);
		void parse(std::istream &in, std::ostream &out);
		size_t getIndentLevel() const;

	private:
		void decreaseIndent();
		void increaseIndent();

		size_t m_indentSize;
		size_t m_indentLevel;
		std::string m_indent;
	};
}

#endif
