#ifndef LEMONPDF_GRAPHICS_GLYPH_H
#define LEMONPDF_GRAPHICS_GLYPH_H

#include <memory>
#include "gfxpath.h"
#include "pdftypes.h"

namespace LemonPDF
{
	namespace Graphics
	{
		class IGlyph;
		using IGlyphPtr = std::shared_ptr<IGlyph>;

		class IGlyph
		{
		public:
			virtual const Path &getPath() const = 0;
			virtual const Rectangle &getBounds() const = 0;
			virtual ~IGlyph() {}
		};
	}
}

#endif
