#include "pdfcryptfilter-standard.h"

LemonPDF::Cryptography::StandardFilter::StandardFilter(const PasswordHash &ownerHash, const PasswordHash &userHash)
  : m_ownerHash(ownerHash), m_userHash(userHash)
{
}

std::string LemonPDF::Cryptography::StandardFilter::getName() const
{
	return "Standard";
}

void LemonPDF::Cryptography::StandardFilter::decode(std::istream &in, std::ostream &out)
{
	(void) in;
	(void) out;
	throw PDFUnimplementedException("Standard cryptography filter not implemented");
}

void LemonPDF::Cryptography::StandardFilter::encode(std::istream &in, std::ostream &out)
{
	(void) in;
	(void) out;
	throw PDFUnimplementedException("Standard cryptography filter not implemented");
}
