#ifndef LEMONSQUEEZY_ASCIIHEX_H
#define LEMONSQUEEZY_ASCIIHEX_H

#include "icompressor.h"
#include "idecompressor.h"
#include "linelengthlimitedencoding.h"

namespace LemonSqueezy
{
	class ASCIIHexEncoding : public ICompressor, public IDecompressor, public LineLengthLimitedEncoding
	{
	public:
		ASCIIHexEncoding(bool uppercase = true, size_t lineLimit = 0, size_t initialCharPosition = 0);

		void read(std::istream &in, std::ostream &out) override;
		void write(std::istream &in, std::ostream &out) override;

	private:
		bool m_uppercase;
	};
}

#endif
