#ifndef LEMONSQUEEZY_LINELENGTHLIMITEDENCODING_H
#define LEMONSQUEEZY_LINELENGTHLIMITEDENCODING_H

#include <cstdint>
#include <iostream>

namespace LemonSqueezy
{
	class LineLengthLimitedEncoding
	{
	public:
		LineLengthLimitedEncoding(size_t lineLength = 0, size_t initialCharPosition = 0);
		void put(char ch, std::ostream &out);

	private:
		size_t m_lineLength;
		size_t m_charPosition;
	};
}

#endif
