#ifndef LEMONSQUEEZY_TIFFPREDICTION_H
#define LEMONSQUEEZY_TIFFPREDICTION_H

#include "icompressor.h"
#include "idecompressor.h"

namespace LemonSqueezy
{
	class TIFFPrediction : public IDecompressor, public ICompressor
	{
	public:
		enum
		{
			kMaxSupportedColors = 4
		};

		TIFFPrediction(unsigned colors, unsigned bitsPerComponent, unsigned columns);

		void read(std::istream &in, std::ostream &out) override;
		void write(std::istream &in, std::ostream &out) override;

	private:
		unsigned m_colors;
		unsigned m_bitsPerComponent;
		unsigned m_columns;
	};
}

#endif
