#ifndef STRIPEDHORSE_LOGGING_H
#define STRIPEDHORSE_LOGGING_H

#include <iostream>
#include <string>

namespace StripedHorse
{
	class Logging
	{
	public:
		static std::ostream &Critical();
		static std::ostream &Debug();
		static std::ostream &Error();
		static std::ostream &Info();
		static std::ostream &Warning();

		static void SetMessagePrefixes(const std::string &debug, const std::string &info, const std::string &warning, const std::string &error, const std::string &critical);
		static void SetOutputStream(std::ostream *);
	};
}


#endif
