#ifndef STRIPEDHORSE_ARGUMENTPARSER_H
#define STRIPEDHORSE_ARGUMENTPARSER_H

#include <functional>
#include <string>

namespace StripedHorse
{
	class ArgumentParser
	{
	public:
		ArgumentParser(int argc, char **argv);

		std::string getArgumentValue();
		int getCurrentPosition() const;
		void parse(std::function<bool(char)> callback);

	private:
		bool m_usedArgumentValue;
		int m_current;
		int m_argc;
		char **m_argv;
	};
}

#endif
