ARCH?=x86-64

BUILDDIR=build.win32.$(ARCH)
BUILDTOKEN=$(BUILDDIR)\\.buildtoken

W_PROGRAMFILES=$(shell echo %PROGRAMFILES(X86)%)
ifeq ($(W_PROGRAMFILES),)
	W_PROGRAMFILES=$(PROGRAMFILES)
endif

.PHONY: all
all: $(BUILDDIR) $(BUILDTOKEN)

$(BUILDDIR):
	-mkdir $(BUILDDIR)

$(BUILDTOKEN): $(BUILDDIR)/striped-horse.msi
	echo > $(BUILDTOKEN)

$(BUILDDIR)/striped-horse.msi: support/win32/striped-horse.wxs
	cd support\\win32 && "$(W_PROGRAMFILES)\\WiX Toolset v3.11\\bin\\candle.exe" striped-horse.wxs
	cd support\\win32 && "$(W_PROGRAMFILES)\\WiX Toolset v3.11\\bin\\light.exe" -out ..\\..\\$(BUILDDIR)\\striped-horse.msi -ext WixUIExtension striped-horse.wixobj

.PHONY: clean
clean:
	-del /F /S /Q $(BUILDDIR)
