# Striped Horse

## tecfilter

The filter component of Striped Horse is a CUPS filter. The PPDs specify that
the printer supports only 1-bit mono bitmaps, and therefore that is all CUPS
gives us.

Depending on the language supported by the destination printer, the filter 
either converts the 1-bit mono raster image (and optionally compresses it
using TOPIX compression) into something that a TPCL printer can understand,
or, it creates a stream of DB-EA4D commands to draw the bitmap onto the label.

When the filter is invoked by CUPS, it is also given all the options chosen by
the user (such as how many copies to print, whether to enable TOPIX
compression, or label/feed adjustments etc), and this filter is responsible
for outputting the appropriate TPCL/DB-EA4D commands for those options to take
effect.
