#ifndef STRIPEDHORSE_ZPLFILTER_H
#define STRIPEDHORSE_ZPLFILTER_H

#include "filter.h"

namespace StripedHorse
{
	class ZPLFilter : public Filter
	{
	public:
		ZPLFilter(std::istream &i, std::ostream &o, const Options &op);
		bool tryGetStatusCode(int &code) const override;
	
	protected:
		void processPageBitmap(const LemonGFX::Bitmap &, const CUPSFormat &format) override;

	private:
	};
}

#endif
