#!/usr/bin/env python2.7

import os
import sys
import uuid

if len(sys.argv) == 1:
	print "Missing font filename"
	exit(1)

if len(sys.argv) == 2:
	print "Missing output filename"
	exit(1)

(filename, ext) = os.path.splitext(os.path.basename(sys.argv[1]))
u = uuid.UUID(filename)

byteOrder = [ 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0 ]

with open(sys.argv[2], "wb") as deobfuscatedFontFile:
	with open(sys.argv[1], "rb") as obfuscatedFontFile:
		for i in range(0, 32):
			b = obfuscatedFontFile.read(1)
			b = chr(ord(b) ^ ord(u.bytes[byteOrder[i % 16]]))
			deobfuscatedFontFile.write(b)
		
		while True:
			data = obfuscatedFontFile.read(4096)
			if len(data) == 0:
				break
			deobfuscatedFontFile.write(data)
