# Wrapper around library.posix.mk and library.win32.mk

SELF_DIR:=$(dir $(lastword $(MAKEFILE_LIST)))

-include $(SELF_DIR)/vars.mk

OSNAME?=$(shell python $(SELF_DIR)/uname.py)

ifeq ($(OSNAME),Windows)
	IMPORT_VERSION=win32
else
	IMPORT_VERSION=posix
endif


include $(SELF_DIR)/library.$(IMPORT_VERSION).mk
