#ifndef STRIPEDHORSE_XPSTOTPCL_STRINGAPPROXIMATOR
#define STRIPEDHORSE_XPSTOTPCL_STRINGAPPROXIMATOR

#include <iconv.h>
#include <string>

namespace StripedHorse
{
	class StringApproximator
	{
	public:
		StringApproximator();
		StringApproximator(const std::string &destination);
		~StringApproximator();
		
		std::string approximate(const std::string &input);
		void setDestinationEncoding(const std::string &encoding);

	private:
		void close();

		bool m_passthrough;
		iconv_t m_converter;
	};
}

#endif
