#ifndef STRIPEDHORSE_VECTORFONT_H
#define STRIPEDHORSE_VECTORFONT_H

#include <string>

namespace StripedHorse
{
	struct TPCLVectorFont
	{
		enum class Type
		{
			kOutline,
			kTrueType
		};

		TPCLVectorFont();
		TPCLVectorFont(const std::string &name, const std::string &style, const std::string &code, enum Type t);

		std::string name;
		std::string style;
		std::string code;
		enum Type type;
		bool valid;
	};

	struct TPCLVectorFontParameters
	{
		TPCLVectorFontParameters();
		TPCLVectorFontParameters(double dpmm, double fontSize, const std::string &fontDescription, bool substitute);

		TPCLVectorFont font;

		uint32_t characterWidth;
		uint32_t characterHeight;
	};
}

#endif
