#ifndef STRIPEDHORSE_GREENSQUARE_MEASUREMENT_H
#define STRIPEDHORSE_GREENSQUARE_MEASUREMENT_H

struct Measurement
{
	/**
	 * @enum Unit
	 */
	enum class Unit
	{
		/// The units of the associated measurement should be interpreted as percentages
		kPercent,

		/// The units of the associated measurement should be interpreted as user units (e.g. if no scaling is applied, then there are 72 user units per inch)
		kUserUnits
	};

	double value = 0.0;
	Unit unit = Unit::kUserUnits;
};

#endif
