#ifndef LEMONGFX_EXCEPTION_H
#define LEMONGFX_EXCEPTION_H 1

#include <exception>
#include <string>

namespace LemonGFX
{
	class Exception : public std::exception
	{
	public:
		Exception(const std::string &msg)
		  : m_msg(msg) {}

		const char *what() const noexcept override
		{
			return m_msg.c_str();
		}

	private:
		std::string m_msg;
	};
}

#endif
