#ifndef LEMONGFX_STROKE_H
#define LEMONGFX_STROKE_H

#include <vector>
#include "bitmap.h"
#include "path.h"

namespace LemonGFX
{
	namespace Stroke
	{
		/**
		Gets the path that needs to be filled (using union fill)
		@param[in] path the path to be stroked
		@return a path containing elements that should be union-filled
		*/
		Path GetStrokePath(const Path &path);
	}
}

#endif
