#ifndef LEMONPDF_GFXSHADINGPATTERN_H
#define LEMONPDF_GFXSHADINGPATTERN_H

#include "gfxpattern.h"

namespace LemonPDF
{
	namespace Graphics
	{
		class ShadingPattern;
		using ShadingPatternPtr = std::shared_ptr<ShadingPattern>;

		class ShadingPattern : public Pattern
		{
		public:
			ShadingPattern();

			void paint(IContext &ctx) override;
		private:
		};
	}
}

#endif
