#include "gfxtruetypefontglyphcollection.h"

LemonPDF::Graphics::TrueTypeFontGlyphCollection::TrueTypeFontGlyphCollection()
{
}

void LemonPDF::Graphics::TrueTypeFontGlyphCollection::addGlyph(uint32_t glyphID, TrueTypeFontGlyphPtr glyph)
{
	m_glyphs.emplace(glyphID, glyph);
}

void LemonPDF::Graphics::TrueTypeFontGlyphCollection::composeAllGlyphs()
{
	// hmmm not sure ...
}

LemonPDF::Graphics::TrueTypeFontGlyphPtr LemonPDF::Graphics::TrueTypeFontGlyphCollection::glyphForID(uint32_t id) const
{
	auto iter = m_glyphs.find(id);
	if (iter == m_glyphs.end())
		return nullptr;
	else
		return iter->second;
}

void LemonPDF::Graphics::TrueTypeFontGlyphCollection::reserve(size_t amount)
{
	m_glyphs.reserve(amount);
}
