#ifndef LEMONPDF_GFXTRUETYPEGLYPHCOLLECTION_H
#define LEMONPDF_GFXTRUETYPEGLYPHCOLLECTION_H

#include <unordered_map>

#include "gfxtruetypefontglyph.h"

namespace LemonPDF
{
	namespace Graphics
	{
		class TrueTypeFontGlyphCollection
		{
		public:
			TrueTypeFontGlyphCollection();

			void addGlyph(uint32_t glyphID, TrueTypeFontGlyphPtr);
			void composeAllGlyphs();
			TrueTypeFontGlyphPtr glyphForID(uint32_t id) const;
			void reserve(size_t amount);

		private:
			std::unordered_map<uint32_t, TrueTypeFontGlyphPtr> m_glyphs;
		};
	}
}


#endif
