#ifndef LEMONPDF_GRAPHICS_TRUETYPEFONTGLYPHPARSER_H
#define LEMONPDF_GRAPHICS_TRUETYPEFONTGLYPHPARSER_H

#include <vector>
#include "gfxtruetypefontglyphcollection.h"
#include "gfxtruetypefonttablereader.h"

namespace LemonPDF
{
	namespace Graphics
	{
		class TrueTypeFontGlyphParser
		{
		public:
			TrueTypeFontGlyphParser(uint16_t unitsPerEm = 64);
			
			TrueTypeFontGlyphCollection parseGlyfTable(const std::vector<uint32_t> &offsets, TrueTypeFontTableReader &reader);

		private:
			uint16_t m_unitsPerEm;
		};
	}
}

#endif
