#ifndef LEMONPDF_LIBTOKENISATION_H
#define LEMONPDF_LIBTOKENISATION_H

#include <iostream>
#include <string>
#include <utility>

namespace LemonPDF
{
	namespace Tokenisation
	{
		bool IsDelimeter(char ch);
		std::istream &ReadLine(std::istream &in, std::string &out);
		std::string TokeniseHexString(std::istream &);
		std::string TokeniseName(std::istream &);
		std::pair<bool, std::string> TokeniseNumber(std::istream &);
		std::string TokeniseString(std::istream &);
	}
}

#endif
