#include <lemonsqueezy/ascii85.h>
#include "pdffilter-ascii85.h"

LemonPDF::ASCII85DecodeFilter::ASCII85DecodeFilter()
{
}

void LemonPDF::ASCII85DecodeFilter::decode(std::istream &in, std::ostream &out)
{
	LemonSqueezy::ASCII85Encoding ascii85;
	ascii85.read(in, out);
}

void LemonPDF::ASCII85DecodeFilter::encode(std::istream &in, std::ostream &out)
{
	LemonSqueezy::ASCII85Encoding ascii85;
	ascii85.write(in, out);
}

std::string LemonPDF::ASCII85DecodeFilter::getName() const
{
	return "ASCII85Decode";
}
