#include <lemonsqueezy/asciihex.h>
#include "pdffilter-asciihex.h"

LemonPDF::ASCIIHexDecodeFilter::ASCIIHexDecodeFilter()
{
}

void LemonPDF::ASCIIHexDecodeFilter::decode(std::istream &in, std::ostream &out)
{
	LemonSqueezy::ASCIIHexEncoding asciihex;
	asciihex.read(in, out);
}

void LemonPDF::ASCIIHexDecodeFilter::encode(std::istream &in, std::ostream &out)
{
	LemonSqueezy::ASCIIHexEncoding asciihex;
	asciihex.write(in, out);
}

std::string LemonPDF::ASCIIHexDecodeFilter::getName() const
{
	return "ASCIIHexDecode";
}
