#ifndef LEMONPDF_PDFFILTER_CCITT_H
#define LEMONPDF_PDFFILTER_CCITT_H 1

#include <lemonsqueezy/ccitt.h>

#include "pdffilter.h"

namespace LemonPDF
{
	class CCITTFaxDecodeFilter : public LemonPDF::IFilter
	{
	public:
		CCITTFaxDecodeFilter(enum LemonSqueezy::CCITTCompression::Encoding encoding, int errorLines, bool encodedByteAlign, size_t columns, size_t rows, bool endOfBlock, bool blackIs1);
		void decode(std::istream &in, std::ostream &out) override;
		void encode(std::istream &in, std::ostream &out) override;
		std::string getName() const override;

	private:
		LemonSqueezy::CCITTCompression m_ccitt;
	};
}

#endif
