#include <lemonsqueezy/jpeg-dct.h>
#include "pdffilter-dctdecode.h"

LemonPDF::DCTDecodeFilter::DCTDecodeFilter()
{
}

void LemonPDF::DCTDecodeFilter::decode(std::istream &in, ScanlineCallback callback)
{
	LemonSqueezy::JPEGCompression jpegCompression;
	jpegCompression.read(in, callback);
}

void LemonPDF::DCTDecodeFilter::decode(std::istream &in, std::ostream &out)
{
	LemonSqueezy::JPEGCompression jpegCompression;
	jpegCompression.read(in, out);
}

void LemonPDF::DCTDecodeFilter::encode(std::istream &in, std::ostream &out)
{
	(void) in;
	(void) out;
	throw PDFUnimplementedException("Cannot encode DCT data");
}

std::string LemonPDF::DCTDecodeFilter::getName() const
{
	return "DCTDecode";
}
