# Striped Horse

## LemonSqueezy

This library provides C++-style interfaces to common compression schemes found
in PDF and XPS documents (e.g. the document types used by Striped Horse).

All implementations were written from scratch.

### CCITTFaxDecode

This is commonly used to encode 1-bit monochrome bitmap data that resembles text.
It is based on Huffman coding and the codes used were derived from analysis of
raster page data containing text.

### Deflate

This is a common algorithm used in ZIP archives, PDF documents and so on. It
is a mixture of both Lempel-Ziv and Huffman coding. 

### LZW

This algorithm compresses data by storing references to previously encountered
sequences of input.
