#ifndef LEMONSQUEEZY_ASCII85_H
#define LEMONSQUEEZY_ASCII85_H

#include <cstdint>
#include "icompressor.h"
#include "idecompressor.h"
#include "linelengthlimitedencoding.h"

namespace LemonSqueezy
{
	class ASCII85Encoding : public ICompressor, public IDecompressor, public LineLengthLimitedEncoding
	{
	public:
		ASCII85Encoding(size_t lineLimit = 0, size_t initialCharPosition = 0);
		void read(std::istream &in, std::ostream &out) override;
		void write(std::istream &in, std::ostream &out) override;
	};
}

#endif
