#ifndef LEMONSQUEEZY_DEFLATESTREAMBITREADER_H
#define LEMONSQUEEZY_DEFLATESTREAMBITREADER_H

#include "streambitreader.h"

namespace LemonSqueezy
{
	// Deflate format is a bit weird, the first bit in the sequence is the LSB,
	// but fixed-width fields remain in typical MSB-to-LSB order

	class DeflateStreamBitReader : public StreamBitReader
	{
	public:
		DeflateStreamBitReader(std::istream &in);
		virtual bool appendNextBit(BitSequence &seq) override;
		virtual bool readBitsIntoBitSequence(BitSequence::size_type count, BitSequence &seq) override;
	};
}

#endif
