#ifndef LEMONSQUEEZY_IBITREADER_H
#define LEMONSQUEEZY_IBITREADER_H

#include "bitsequence.h"

namespace LemonSqueezy
{
	class IBitReader
	{
	public:
		virtual void alignToByteBoundary() = 0;
		virtual bool appendNextBit(BitSequence &seq) = 0;
		virtual bool getByte(unsigned char &) = 0;
		virtual bool isAtEndOfStream() const = 0;
		virtual bool readBitsIntoBitSequence(BitSequence::size_type count, BitSequence &seq) = 0;

		virtual ~IBitReader() {}
	};
}

#endif
