#ifndef LEMONSQUEEZY_IBITWRITER_H
#define LEMONSQUEEZY_IBITWRITER_H

#include "bitsequence.h"

namespace LemonSqueezy
{
	class IBitWriter
	{
	public:
		virtual void alignToByteBoundary() = 0;
		virtual void writeBits(const BitSequence &) = 0;

		virtual ~IBitWriter() {}
	};
}

#endif
