#ifndef LEMONSQUEEZY_IDECOMPRESSOR_H
#define LEMONSQUEEZY_IDECOMPRESSOR_H

#include <istream>
#include <limits>
#include <vector>

namespace LemonSqueezy
{
	class IDecompressor
	{
	public:
		virtual void read(std::istream &in, std::ostream &out) = 0;
		virtual ~IDecompressor() {};
	};
}

#endif
