#ifndef LEMONSQUEEZY_PNGPREDICTION_H
#define LEMONSQUEEZY_PNGPREDICTION_H

#include "icompressor.h"
#include "idecompressor.h"

namespace LemonSqueezy
{
	class PNGPrediction : public IDecompressor, public ICompressor
	{
	public:
		PNGPrediction(unsigned predictor, unsigned colors, unsigned bitsPerComponent, unsigned columns);
		
		virtual void read(std::istream &in, std::ostream &out) override;
		virtual void write(std::istream &in, std::ostream &out) override;

	private:
		unsigned m_predictor;
		unsigned m_colors;
		unsigned m_bitsPerComponent;
		unsigned m_columns;
	};
}

#endif
