#include "filepath-utilities.h"

std::string LemonXPS::Path::Append(const std::string &root, const std::string &other)
{
	if (root.size() == 0)
		return other;
	
	if (*(root.end() - 1) == '/')
		return root + other;
	
	return root + "/" + other;
}

std::string LemonXPS::Path::GetRoot(const std::string &path)
{
	std::string::size_type i = path.rfind('/');
	if (i == std::string::npos)
		return std::string {};
	else
		return path.substr(0, i);
}
