#include <vector>
#include "stream-utilities.h"

StripedHorse::Buffer StripedHorse::StreamUtilities::ReadStreamToBuffer(std::istream &input)
{
	std::vector<unsigned char> result;
	
	while (input)
	{
		unsigned char buffer[1024] = {};
		
		input.read(reinterpret_cast<char *>(buffer), sizeof buffer);
		if (input.gcount() > 0)
			result.insert(result.end(), buffer, buffer + input.gcount());
	}

	return result;
}
