#ifndef STRIPEDHORSE_TPCLFILTER_H
#define STRIPEDHORSE_TPCLFILTER_H

#include <libtecfilter/tpclwriter.h>
#include "filter.h"

namespace StripedHorse
{
	class TPCLFilter : public Filter
	{
	public:
		TPCLFilter(std::istream &i, std::ostream &o, const Options &op);
		bool tryGetStatusCode(int &code) const override;
	
	protected:
		void processPageBitmap(const LemonGFX::Bitmap &, const CUPSFormat &format) override;

	private:
		TPCLWriter m_writer;
		uint32_t m_thermalMode;
	};
}

#endif
