#ifndef STRIPEDHORSE_TECTOOL_CMD_INSERTION_H
#define STRIPEDHORSE_TECTOOL_CMD_INSERTION_H

#include "tectool-command.h"

namespace StripedHorse
{
	namespace TECTool
	{
		namespace Commands
		{
			void SetPreJobInsertion(Printer &, const ArgumentList &);
			void SetPostJobInsertion(Printer &, const ArgumentList &);
			void SetPreLabelInsertion(Printer &, const ArgumentList &);
			void SetPostLabelInsertion(Printer &, const ArgumentList &);
			
			class InsertionTooLongException : public Exception
			{
			public:
				InsertionTooLongException(size_t len, size_t maxLen);
			};
			
			class InsertionNotSetException : public Exception
			{
			public:
				InsertionNotSetException(const std::string &msg);
			};
		}
	}
}

#endif

