#include <fstream>
#include <libtecfilter/string-escape.h>
#include "cmd-tpcl.h"

void StripedHorse::TECTool::Commands::EscapedTPCL(Printer &printer, const ArgumentList &args)
{
	if (args.size() != 1)
		throw InvalidNumberOfArgumentsException(args.size(), 1, 0);
	
	printer.write(UnescapeString(args[0]));
}

void StripedHorse::TECTool::Commands::RawTPCL(Printer &printer, const ArgumentList &args)
{
	if (args.size() > 1)
		throw InvalidNumberOfArgumentsException(args.size(), 0, 1);
	
	if (args.size() == 0)
		printer.write(std::cin);
	else
		printer.write(args[0]);
}
