#ifndef STRIPEDHORSE_TOBJ_QRCODE_H
#define STRIPEDHORSE_TOBJ_QRCODE_H

#include <libcore/exceptions.h>
#include "templateobject.h"

namespace StripedHorse
{
	class QRCodeTemplateObject : public TemplateObject
	{
	public:
		QRCodeTemplateObject(const RectangleF &region, const std::string &data);
		virtual void write(TPCLWriter &writer, double dpmm) const override;

	private:
	};

	class QRCodeException : public Exception
	{
	public:
		QRCodeException(const std::string &msg) : Exception(msg) {}
	};
}

#endif
