#ifndef STRIPEDHORSE_TOBJ_RFID_H
#define STRIPEDHORSE_TOBJ_RFID_H

#include <libcore/exceptions.h>
#include "templateobject.h"

namespace StripedHorse
{
	class RFIDUserMemoryDataTemplateObject : public TemplateObject
	{
	public:
		RFIDUserMemoryDataTemplateObject(const RectangleF &region, const std::string &data);
		virtual void write(TPCLWriter &writer, double dpmm) const override;

	private:
	};
	
	class RFIDEPCMemoryDataTemplateObject : public TemplateObject
	{
	public:
		RFIDEPCMemoryDataTemplateObject(const RectangleF &region, const std::string &data);
		virtual void write(TPCLWriter &writer, double dpmm) const override;

	private:
	};
}

#endif
